From 2677f3426b3eafe814f860e4097e8497cecd33f5 Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Sat, 18 Jun 2016 23:42:35 +0300
Subject: [PATCH 2/3] cmdtestlib: remove PwcliStubSpawn() class

It's unused.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 cmdtests/cmdtestlib.py |   10 ----------
 1 file changed, 10 deletions(-)

diff --git a/cmdtests/cmdtestlib.py b/cmdtests/cmdtestlib.py
index b4f9532b1360..889c2d2f20e9 100644
--- a/cmdtests/cmdtestlib.py
+++ b/cmdtests/cmdtestlib.py
@@ -116,13 +116,3 @@ class PwcliSpawn(pexpect.spawn):
 
     def expect_prompt(self):
         return super(PwcliSpawn, self).expect(PROMPT)
-
-class PwcliStubSpawn(pexpect.spawn):
-    def __init__(self):
-        # use short timeout so that failures don't take too long to detect
-        super(PwcliStubSpawn, self).__init__('./run_stub', timeout=3,
-                                             logfile=sys.stdout)
-
-    def expect_prompt(self):
-        return super(PwcliStubSpawn, self).expect(PROMPT)
-        
-- 
1.7.9.5

